package com.example.demo;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

@RestController
@RequestMapping("/")
@SpringBootApplication
public class DemoApplication {

    public static void main(String[] args) {
        SpringApplication.run(DemoApplication.class, args);
    }

    @GetMapping("/hello")
    private String sayHello() throws InterruptedException {
        String id = UUID.randomUUID().toString();
        System.out.println("进入1: " + id + " 时间: " + System.currentTimeMillis() + " 线程id: " + Thread.currentThread().getId());
        // 模拟耗时操作
        Thread.sleep(5000);
        System.out.println("进入2: " + id + " 时间: " + System.currentTimeMillis() + " 线程id: " + Thread.currentThread().getId());
        return "hello2";
    }
}
